Bug 244537 - 9 sys.audit. tests failed after r358471
Summary: 9 sys.audit. tests failed after r358471
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Christian S.J. Peron
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-01 10:46 UTC by Li-Wen Hsu
Modified: 2020-03-10 13:17 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2020-03-01 10:46:49 UTC
https://ci.freebsd.org/job/FreeBSD-head-amd64-test/14505/testReport/

sys.audit.file-attribute-access.fstatat_failure
sys.audit.file-attribute-access.fstatat_success
sys.audit.file-attribute-access.lstat_failure
sys.audit.file-attribute-access.lstat_success
sys.audit.file-attribute-access.stat_failure
sys.audit.file-attribute-access.stat_success
sys.audit.file-attribute-modify.futimesat_failure
sys.audit.file-attribute-modify.futimesat_success
sys.audit.process-control.chdir_success
Comment 1 Li-Wen Hsu freebsd_committer 2020-03-01 10:48:32 UTC
csjp: can you help checking these? Thanks!
Comment 2 Li-Wen Hsu freebsd_committer 2020-03-02 04:09:52 UTC
Also add reviewers for more helping.
Comment 3 Kyle Evans freebsd_committer 2020-03-02 16:09:39 UTC
Interesting- something's flaky here, I can't actually reproduce this. I get these failures locally:

root@viper:/usr/tests/sys/audit# kyua report -r /root/.kyua/store/results.usr_tests_sys_audit.20200302-160755-239348.db
===> Failed tests
file-attribute-access:extattr_get_file_success  ->  failed: Poll: Invalid argument  [10.725s]
file-attribute-access:extattr_get_link_success  ->  failed: Poll: Invalid argument  [10.856s]
file-attribute-access:lpathconf_success  ->  failed: /usr/src/tests/sys/audit/file-attribute-access.c:770: lpathconf(path, _PC_SYMLINK_MAX) != -1 not met  [0.038s]
file-attribute-modify:extattr_set_file_success  ->  failed: extattr_set_file.*fileforaudit.*authorname.*return,success not found in auditpipe within the time limit  [10.436s]
file-attribute-modify:extattr_set_link_success  ->  failed: extattr_set_link.*fileforaudit.*authorname.*return,success not found in auditpipe within the time limit  [10.821s]
===> Summary
Results read from /root/.kyua/store/results.usr_tests_sys_audit.20200302-160755-239348.db
Test cases: 418 total, 0 skipped, 0 expected failures, 0 broken, 5 failed
Total time: 65.497s
Comment 4 Christian S.J. Peron freebsd_committer 2020-03-02 18:17:53 UTC
I think we have tracked down the issue. I am currently building and testing: https://reviews.freebsd.org/D23929

Thanks!
Comment 5 commit-hook freebsd_committer 2020-03-03 01:47:06 UTC
A commit references this bug:

Author: csjp
Date: Tue Mar  3 01:46:36 UTC 2020
New revision: 358564
URL: https://svnweb.freebsd.org/changeset/base/358564

Log:
  In r358471, we interrupted the case block that would eventually lead
  to the path related tokens not being processed. Restore this behavior and
  and move AUE_JAIL_SET in this block, as it may conditionally contain a
  path token.

  Discovered by:	kevans
  PR:	244537
  Reviewed by:	kevans
  Differential Revision:	https://reviews.freebsd.org/D23929

Changes:
  head/sys/security/audit/audit_bsm.c
Comment 6 Li-Wen Hsu freebsd_committer 2020-03-10 13:17:56 UTC
Fix verified.